Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 986099 - [RFE] Switch to using oslo's db support
Summary: [RFE] Switch to using oslo's db support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: Upstream M2
: 4.0
Assignee: Maru Newby
QA Contact: Rami Vaknin
URL: https://blueprints.launchpad.net/neut...
Whiteboard:
Depends On: 988867
Blocks: RHOS40RFE
TreeView+ depends on / blocked
 
Reported: 2013-07-19 01:05 UTC by Maru Newby
Modified: 2016-04-26 15:00 UTC (History)
6 users (show)

Fixed In Version: openstack-neutron-2013.2-0.3.b2.el6ost
Doc Type: Enhancement
Doc Text:
The following changes in configuration have been made as part of moving to the oslo library, and affect all OpenStack Networking (Neutron) plugins. - the 'DATABASE' section in the plugin-specific ini files has been deprecated in favor of a 'database' section in neutron.conf. - 'sql_' prefixed options have been deprecated in favor of options that do not include the prefix (e.g. sql_connection becomes connection). - 'reconnect_interval' option has been deprecated in favor of 'retry_interval'. - 'sql_dbpool_enable' option is no longer supported. - 'sqlalchemy_pool_size' has been deprecated in favor of 'min_pool_size' and 'max_pool_size'. - 'sqlalchemy_max_overflow' has been deprecated in favor of 'max_overflow'. - 'sqlalchemy_pool_timeout' has been deprecated in favor of 'pool_timeout'. The changes are backwards compatible, so the previous configuration format will still work.
Clone Of:
Environment:
Last Closed: 2013-12-20 00:13:55 UTC
Target Upstream Version:
oblaut: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:1859 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2013-12-21 00:01:48 UTC

Description Maru Newby 2013-07-19 01:05:22 UTC
The oslo library provides database helpers that can be reused across projects.  The switch should be transparent to the end user due to support for backwards-compatible configuration, but the new oslo-specific configuration will need to be documented.

https://blueprints.launchpad.net/neutron/+spec/oslo-db-support

Comment 5 Maru Newby 2013-07-30 17:31:11 UTC
Ofer - There isn't a need for special testing.  If the higher-level neutron tests work, then the db implementation works.  This bug is mainly to ensure that the docs are updated to reflect changes to configuration.

Comment 11 Maru Newby 2013-12-10 03:06:22 UTC
There is no user-visible functional change associated with this bug, but the configuration format has been changed in a backwards-compatible way.

Comment 13 errata-xmlrpc 2013-12-20 00:13:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1859.html


Note You need to log in before you can comment on or make changes to this bug.